# namespaces members list

## Synopsis

```shell
omics workbench namespaces members list
  [--namespace NAMESPACE_ID]
  [--max-results]
  [--page]
  [--page-size]
```

## Description

List all members and their roles in a given namespace. This command returns information about each member including their user ID, email, full name, role, and when they were added to the namespace.

## Examples

### List members in the active namespace

```shell
omics workbench namespaces members list
```

### List all members in a namespace

```shell
omics workbench namespaces members list --namespace bcd869ca-8a06-4426-a94d-43f9d91e937d
```

List members using the short flag

```shell
omics workbench namespaces members list -n bcd869ca-8a06-4426-a94d-43f9d91e937d
```

List the first 10 members of a namespace

```shell
omics workbench namespaces members list
  --namespace bcd869ca-8a06-4426-a94d-43f9d91e937d
  --max-results 10
```

## Flags:

### `--namespace`, `-n`=`NAMESPACE_ID`

The namespace ID to list members for. Defaults to the active namespace. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command.

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping into an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100). Reducing the page size can help with poor internet connections.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-members-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
